Bug 426710 - More selinux X errors
More selinux X errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 14:07 EST by Need Real Name
Modified: 2008-01-15 13:57 EST (History)
0 users

See Also:
Fixed In Version: selinux-policy-3.0.8-72.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 13:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-12-24 14:07:48 EST
Description of problem:
1. nvidiactl seems to generate regular X errors (I am using nvidia drivers)
type=AVC msg=audit(1198522354.106:3297): avc:  denied  { execmod } for  pid=7804
comm="ffmpeg" path="/usr/lib/libswscale.so.0.5.0" dev=sda7 ino=967679
scontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
tcontext=system_u:object_r:lib_t:s0 tclass=file

2. I also get selinux X errors when running vmware server:
type=AVC msg=audit(1198225739.335:1963): avc:  denied  { unix_read } for 
pid=4204 comm="X" key=0 scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:system_r:vmware_host_t:s0 tclass=shm
type=AVC msg=audit(1198225739.335:1963): avc:  denied  { read } for  pid=4204
comm="X" key=0 scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:system_r:vmware_host_t:s0 tclass=shm
type=AVC msg=audit(1198225739.336:1964): avc:  denied  { getattr associate } for
 pid=4204 comm="X" key=0 scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:system_r:vmware_host_t:s0 tclass=shm
Comment 1 Daniel Walsh 2007-12-31 07:32:53 EST
Fixed in selinux-policy-3.0.8-72.fc8

Note You need to log in before you can comment on or make changes to this bug.